commit:     feb9b140b322bca4fd2e5d20e94ca34f4925c765
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat May 14 07:35:43 2022 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat May 14 08:25:49 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=feb9b140

dev-python/docutils: Use PEP517 build

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/docutils/docutils-0.17.1-r1.ebuild | 73 +++++++++++++++++++++++++++
 dev-python/docutils/docutils-0.18.1-r1.ebuild | 73 +++++++++++++++++++++++++++
 2 files changed, 146 insertions(+)

diff --git a/dev-python/docutils/docutils-0.17.1-r1.ebuild 
b/dev-python/docutils/docutils-0.17.1-r1.ebuild
new file mode 100644
index 000000000000..5d0b53a49995
--- /dev/null
+++ b/dev-python/docutils/docutils-0.17.1-r1.ebuild
@@ -0,0 +1,73 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..10} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Python Documentation Utilities (reference reStructuredText impl.)"
+HOMEPAGE="
+       https://docutils.sourceforge.io/
+       https://pypi.org/project/docutils/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD-2 GPL-3 public-domain"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 
~riscv ~s390 ~sparc ~x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos 
~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+
+RDEPEND="
+       dev-python/pygments[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       ${RDEPEND}
+"
+
+python_compile_all() {
+       # Generate html docs from reStructured text sources.
+
+       # Place html4css1.css in base directory to ensure that the generated 
reference to it is correct.
+       cp docutils/writers/html4css1/html4css1.css . || die
+
+       cd tools || die
+       "${EPYTHON}" buildhtml.py --input-encoding=utf-8 \
+               --stylesheet-path=../html4css1.css, --traceback ../docs || die
+}
+
+src_test() {
+       cd test || die
+       distutils-r1_src_test
+}
+
+python_test() {
+       "${EPYTHON}" alltests.py -v || die "Testing failed with ${EPYTHON}"
+}
+
+python_install() {
+       distutils-r1_python_install
+
+       # Install tools.
+       python_doscript tools/{buildhtml,quicktest}.py
+}
+
+install_txt_doc() {
+       local doc="${1}"
+       local dir="txt/$(dirname ${doc})"
+       docinto "${dir}"
+       dodoc "${doc}"
+}
+
+python_install_all() {
+       local DOCS=( *.txt )
+       local HTML_DOCS=( docs tools docutils/writers/html4css1/html4css1.css )
+
+       distutils-r1_python_install_all
+
+       local doc
+       while IFS= read -r -d '' doc; do
+               install_txt_doc "${doc}"
+       done < <(find docs tools -name '*.txt' -print0)
+}

diff --git a/dev-python/docutils/docutils-0.18.1-r1.ebuild 
b/dev-python/docutils/docutils-0.18.1-r1.ebuild
new file mode 100644
index 000000000000..5d0b53a49995
--- /dev/null
+++ b/dev-python/docutils/docutils-0.18.1-r1.ebuild
@@ -0,0 +1,73 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..10} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Python Documentation Utilities (reference reStructuredText impl.)"
+HOMEPAGE="
+       https://docutils.sourceforge.io/
+       https://pypi.org/project/docutils/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD-2 GPL-3 public-domain"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 
~riscv ~s390 ~sparc ~x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos 
~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+
+RDEPEND="
+       dev-python/pygments[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       ${RDEPEND}
+"
+
+python_compile_all() {
+       # Generate html docs from reStructured text sources.
+
+       # Place html4css1.css in base directory to ensure that the generated 
reference to it is correct.
+       cp docutils/writers/html4css1/html4css1.css . || die
+
+       cd tools || die
+       "${EPYTHON}" buildhtml.py --input-encoding=utf-8 \
+               --stylesheet-path=../html4css1.css, --traceback ../docs || die
+}
+
+src_test() {
+       cd test || die
+       distutils-r1_src_test
+}
+
+python_test() {
+       "${EPYTHON}" alltests.py -v || die "Testing failed with ${EPYTHON}"
+}
+
+python_install() {
+       distutils-r1_python_install
+
+       # Install tools.
+       python_doscript tools/{buildhtml,quicktest}.py
+}
+
+install_txt_doc() {
+       local doc="${1}"
+       local dir="txt/$(dirname ${doc})"
+       docinto "${dir}"
+       dodoc "${doc}"
+}
+
+python_install_all() {
+       local DOCS=( *.txt )
+       local HTML_DOCS=( docs tools docutils/writers/html4css1/html4css1.css )
+
+       distutils-r1_python_install_all
+
+       local doc
+       while IFS= read -r -d '' doc; do
+               install_txt_doc "${doc}"
+       done < <(find docs tools -name '*.txt' -print0)
+}

Reply via email to